/**
 * Toast item component
 * @class ApToastItem
 */
'use strict'

import React, {PropTypes as types} from 'react'
import classnames from 'classnames'
import {ApIcon} from 'apeman-react-icon'
import {ApTouchMixin} from 'apeman-react-mixins'

/** @lends ApToastItem */
const ApToastItem = React.createClass({
  // --------------------
  // Specs
  // --------------------

  propTypes: {
    text: types.string,
    icon: types.string
  },

  mixins: [
    ApTouchMixin
  ],

  render () {
    const s = this
    let { props } = s
    return (
      <div className="ap-toast-item" data-text={ props.text }>
                <span className="ap-toast-text">
                    <ApIcon className={ classnames('ap-toast-item-icon', props.icon) }/>{ props.text }
                </span>
        { props.children }
      </div>
    )
  }
})

export default ApToastItem
